package PiTube::Schema::Result::Stream_view;

use strict;
use warnings;

use base 'PiTube::Schema::Result::Stream';

our $VERSION = 1;

__PACKAGE__->table('streams_view');

__PACKAGE__->add_columns(qw(
   publish_last_age
   publish_user_name
));

sub is_live {
    my $self    = shift;
    my $max_age = shift // 60;

    return 0 if ! $self->publish_last_age;
    return $self->publish_last_age < $max_age;
}

1;
